E-MailRelay

Public Member Functions | List of all members
GNet::DnsMessageQuestion Class Reference

Represents DNS question record. More...

`#include <gdnsmessage.h>`

## Public Member Functions
| DnsMessageQuestion (const DnsMessage &, unsigned int offset)
| Constructor. More...
unsigned int | size () const
| Returns the record size. More...
std::string | qname () const
| Returns the subject of the question. More...

## Detailed Description

Represents DNS question record.

Definition at line 230 of file gdnsmessage.h.

## Constructor & Destructor Documentation

## ◆ DnsMessageQuestion()

GNet::DnsMessageQuestion::DnsMessageQuestion | ( | const DnsMessage & | msg,
|  | unsigned int | offset
| ) |  |

Constructor.

Definition at line 274 of file gdnsmessage.cpp.

## Member Function Documentation

## ◆ qname()

std::string GNet::DnsMessageQuestion::qname | ( |  | ) | const

Returns the subject of the question.

Definition at line 286 of file gdnsmessage.cpp.

## ◆ size()

unsigned int GNet::DnsMessageQuestion::size | ( |  | ) | const

Returns the record size.

Definition at line 281 of file gdnsmessage.cpp.

The documentation for this class was generated from the following files:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gnet/gdnsmessage.h
- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gnet/gdnsmessage.cpp